#-----------------------------------------------------
# Female Motion set 1 (No.006 for Billy-t's high-heel)
# 
# maked by MASA. POSER++ 
#-----------------------------------------------------

def BendByFrame(mPart):
	unit = mPart.ParameterByCode(poser.kParmCodeXROT)
	unit.SetValue( unit.Value() + 50 * sign)

def NegBendByFrame(mPart):
	unit = mPart.ParameterByCode(poser.kParmCodeXROT)
	unit.SetValue( -50 * sign1 )
	unit = mPart.ParameterByCode(poser.kParmCodeYROT)
	unit.SetValue( 0 )
	unit = mPart.ParameterByCode(poser.kParmCodeZROT)
	unit.SetValue( 0 )

# Main
import TkinterWarning
proceed = TkinterWarning.warn("high-heeled shoes(Yes)  /  no shoes(Cancel)\n",poser.Language())

if(proceed):
	sign = 1
	sign1 = sign
else:
	sign = -1
	sign1 = 0

scene = poser.Scene()
scene.SetMeAsStartupScript()

cFrame	= scene.Frame()

#iFig	= scene.CurrentFigure()

for i in range(scene.NumFrames()):

	scene.SetFrame(i)

	figure = scene.Figure("Figure 1")

	rFoot = figure.Actor("Right Foot")
	lFoot = figure.Actor("Left Foot")
	BendByFrame(rFoot)	
	BendByFrame(lFoot)

	rToe = figure.Actor("Right Toe")
	lToe = figure.Actor("Left Toe")
	NegBendByFrame(rToe)	
	NegBendByFrame(lToe)

	Hip = figure.Actor("Hip")
	Hip  = Hip.ParameterByCode(poser.kParmCodeYTRAN)
	Hip.SetValue( Hip.Value() + 0.050 * sign)

	Rthigh = figure.Actor("Right Thigh")
	Rthigh  = Rthigh.ParameterByCode(poser.kParmCodeYROT)
	Rthigh.SetValue( Rthigh.Value() + 5)

	Lthigh = figure.Actor("Left Thigh")
	Lthigh  = Lthigh.ParameterByCode(poser.kParmCodeYROT)
	Lthigh.SetValue( Rthigh.Value() + 5)

scene.SetFrame(cFrame)

scene.DrawAll()